Bug 433735 - Review Request: libgcroots - Root acquisition library for Garbage Collector
Summary: Review Request: libgcroots - Root acquisition library for Garbage Collector
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-21 02:36 UTC by Akira TAGOH
Modified: 2008-03-05 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 02:42:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Akira TAGOH 2008-02-21 02:36:23 UTC
Spec URL: http://tagoh.fedorapeople.org/libgcroots/libgcroots.spec
SRPM URL: http://tagoh.fedorapeople.org/libgcroots/libgcroots-0.2.1-1.fc9.src.rpm
Description:
libgcroots abstracts architecture-dependent part of garbage collector
roots acquisition such as register windows of SPARC and register stack
backing store of IA-64.
This library encourages to have own GC such as for small-footprint,
some application-specific optimizations, just learning or to test
experimental ideas.

Comment 1 Parag AN(पराग) 2008-02-26 08:22:29 UTC
missing Requires:pkgconfig on -devel subpackage.

Comment 3 Parag AN(पराग) 2008-02-27 03:43:36 UTC
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=472349
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f5fa9b60e506c70a041ef03ab26dbd18  libgcroots-0.2.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ gcroots.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libgcroots-0.2.1-2.fc9->
  Provides: libgcroots.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libdl.so.2 libgcroots.so.0 rtld(GNU_HASH)
+ Package libgcroots-devel-0.2.1-2.fc9 ->
  Requires: libgcroots.so.0 pkgconfig libgcroots = 0.2.1-2.fc9
+ Not a GUI App.
APPROVED.
         

Comment 4 Akira TAGOH 2008-03-04 03:43:53 UTC
Thanks for reviewing.

New Package CVS Request
=======================
Package Name: libgcroots
Short Description: Root acquisition library for Garbage Collector
Owners: tagoh
Branches: devel
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-03-04 17:04:57 UTC
cvs done.

Comment 6 Akira TAGOH 2008-03-05 02:42:45 UTC
Imported and the build went well. thanks!


Note You need to log in before you can comment on or make changes to this bug.